{{- if .Values.monthly.enabled -}}
apiVersion: batch/v1
kind: CronJob
metadata:
  name: "{{ include "mongo-backup.fullname" . }}-monthly"
  labels:
    {{- include "mongo-backup.selectorLabels" . | nindent 8 }}
  {{- with .Values.podAnnotations }}
  annotations:
    {{- toYaml . | nindent 8 }}
  {{- end }}
spec:
  schedule: {{ .Values.monthly.schedule | quote }}
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: Never
          containers:
          - name: {{ .Chart.Name }}
            image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
            imagePullPolicy: {{ .Values.image.pullPolicy }}
            command:
              - /bin/sh
              - -c
              - bash runme.sh
            env:
              {{- range $key, $val := .Values.deployment.vars }}
              - name: {{ $key }}
                valueFrom:
                  secretKeyRef:
                    name: {{ include "mongo-backup.secretsName" . }}
                    key: {{ $key }}
              {{- end }}
          
{{- end }}
